WHM Service Status reports spamd 3.3.2 after upgrade

vlus

Member
Nov 6, 2003
16
0
151
Hello,

Centos 5.10
WHM 11.40.1 (build 11)

Recently upgraded via command line to SpamAssassin 3.4.0.

[email protected] [~]# spamassassin -V
SpamAssassin version 3.4.0 running on Perl version 5.8.8

However, WHM | Service Status shows spamd as v3.3.2

I've restarted Exim in an efffort to restart SA
I've disabled, then re-enabled SA (spamd) under Service Manager
I've forced a re-install of 3.4.0 via command line
I've disabled automatic update in WHM, just in case of overwrite

I'm out of ideas. Any guidance appreciated as I still can't confirm.

Thanks in advance,
Vlus
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,201
363
Recently upgraded via command line to SpamAssassin 3.4.0.
Could you elaborate on the exact method you used to upgrade SpamAssassin? Please note that manual installations of SpamAssassin versions not included with cPanel are unsupported.

Thank you.
 

vlus

Member
Nov 6, 2003
16
0
151
Could you elaborate on the exact method you used to upgrade SpamAssassin? Please note that manual installations of SpamAssassin versions not included with cPanel are unsupported.

Thank you.
SpamAssassin had stopped working a few weeks ago, and I tried to reinstall/restart via cPanel but it wouldnt work, so I found on Google the command line option, as follows:

perl -MCPAN -e shell
cpan> o conf prerequisites_policy ask
cpan> install Mail::SpamAssassin

Please note that all required & recommended perl modules are also installed & SA is working. Just not reporting correct version under WHM Service Status.
Thank you,
Vlus
 

cPanelMichael

Administrator
Staff member
Apr 11, 2011
47,913
2,201
363
Feel free to open a support ticket so we can take a closer look and review any issues with the standard SpamAssassin RPM that cPanel provides. You can post the ticket number here so we can update this thread with the outcome.

Thank you.